---
title: BatteryManager.dischargingTime
slug: Web/API/BatteryManager/dischargingTime
tags:
  - API
  - Battery API
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{obsolete_header}}</div>

<div>{{APIRef("Battery API")}}</div>

<p>Indicates the amount of time, in seconds, that remains until the battery is fully discharged.</p>

<div class="note">
<p>Even if the time returned is precise to the second, browsers round them to a higher interval (typically to the closest 15 minutes) for privacy reasons.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>time</em> = battery.dischargingTime</pre>

<p>On return, <code>time</code> is the remaining time in seconds until the <code><em>battery</em></code>, which is a {{domxref("BatteryManager")}} object, is fully discharged and the system will suspend. This value is <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/Infinity">Infinity</a></code> if the battery is currently charging rather than discharging, or if the system is unable to report the remaining discharging time.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html">&lt;div id="dischargingTime"&gt;(discharging time unknown)&lt;/div&gt;
</pre>

<h3 id="JavaScript_Content">JavaScript Content</h3>

<pre class="brush: js;  highlight:[3]">navigator.getBattery().then(function(battery) {

    var time = battery.dischargingTime;

    document.querySelector('#dischargingTime').textContent = battery.dischargingTime;
});
</pre>

<p>{{ EmbedLiveSample('Example', '100%', 30) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Battery API")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BatteryManager.dischargingTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BatteryManager")}}</li>
 <li>{{domxref("Navigator.getBattery")}}</li>
</ul>
